<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style type="text/css">
		form{
			width:400px;
			margin:10px auto;
		}
		input{
			display:block;
			float:left;
			clear:both;
			margin:10px;
		}
		
		label{
			display:block;
			float:left;
			margin:10px;
		}

		button{
			display:block;
			clear:both;
			width:200px;
		}

		div{
			width:600px;
			min-height:100px;
			padding:10px;
			background-color:#ccc;
			border:2px solid red;
			margin:10px auto;
			display:none;
		}
	</style>
	<script type="text/javascript">
	window.addEventListener("load",e=>{
		document.querySelector("button").addEventListener("click",(e)=>{
			var nombre=document.querySelectorAll("input")[0].value;
			var edad=document.querySelectorAll("input")[1].value;
			var caja=document.querySelector(".errores");
			var mensaje={
				numeroErrores: 0,
				listadoErrores: new Array(),
				unoMas:function(valor){
					this.listadoErrores.push(valor);
					this.numeroErrores++;
				},
				salida:function(){
					var temporal="";
					temporal="El numero de errores es " + this.numeroErrores;	
					for(var c=0;c<this.numeroErrores;c++){
						temporal+="<br>" + this.listadoErrores[c];
					}
					return temporal;
				}

			}
			try{
				if(nombre==""){
					mensaje.unoMas("nombre esta vacia");
				}else if(nombre.length>50){
					mensaje.unoMas("nombre demasiado largo, longitud maxima 50");
				}

				if(edad==""){
					mensaje.unoMas("edad esta vacia")
				}else if(isNaN(parseInt(edad))){
					mensaje.unoMas("La edad debe ser un numero");
				}else if(parseInt(edad)>10){
					mensaje.unoMas("La edad es demasiado alta");
				}else if(parseInt(edad)<0){
					mensaje.unoMas("La edad es demasiado baja");
				}
				if(mensaje.numeroErrores>0){
					throw mensaje;	
				}
				caja.innerHTML="";
				caja.style.display="none";
			}catch(e)				
				caja.innerHTML=e.salida();
				caja.style.display="block";
			}
		});
	});

		
	</script>
</head>
<body>
	<div class="errores">
		
	</div> 
	<form>
		<input type="text" name="nombre" id="nombre"> <label for="nombre">Nombre</label>
		<input type="text" name="edad" id="edad"> <label for="edad">Edad</label>
		<button type="button">
			Comprobar
		</button>
	</form>
	
</body>
</html>